Compiling the latest Rekonq (1.2)

Archived topics about LMDE 1
Forum rules
zerozero
Level 16
Level 16
Posts: 6514
Joined: Tue Jul 07, 2009 2:29 pm

Compiling the latest Rekonq (1.2)

Postby zerozero » Sun Oct 07, 2012 8:05 pm

Rekonq 1.2 was released http://adjamblog.wordpress.com/2012/10/06/rekonq-1-2/
debian has in testing/sid 0.9.2 http://packages.debian.org/search?suite=all&section=all&arch=any&searchon=names&keywords=rekonq
compiling the latest is not hard http://techbase.kde.org/Projects/rekonq ... g_the_code

Code: Select all

git clone git://anongit.kde.org/rekonq

Code: Select all

cd rekonq

Code: Select all

mkdir build

Code: Select all

cd build

Code: Select all

cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` ..

Code: Select all

make

Code: Select all

sudo checkinstall

Image
building log
Image

[ bliss of ignorance ]

User avatar
xenopeek
Level 23
Level 23
Posts: 19371
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Compiling the latest Rekonq (1.2)

Postby xenopeek » Mon Oct 08, 2012 2:25 am

Perhaps change the "sudo make install" to "sudo checkinstall"? With checkinstall way you can uninstall it through your package manager also.
Image

zerozero
Level 16
Level 16
Posts: 6514
Joined: Tue Jul 07, 2009 2:29 pm

Re: Compiling the latest Rekonq (1.2)

Postby zerozero » Mon Oct 08, 2012 5:44 am

:oops: you're absolutely right

Code: Select all

zerozero@deb-kde ~ $ apt policy rekonq
rekonq:
  Installed: 0.9.2-1
  Candidate: 0.9.2-1
  Version table:
 *** 0.9.2-1 0
        500 http://ftp.debian.org/debian/ testing/main amd64 Packages                                                                                                   
        100 /var/lib/dpkg/status                                             
Image

[ bliss of ignorance ]

zerozero
Level 16
Level 16
Posts: 6514
Joined: Tue Jul 07, 2009 2:29 pm

Re: Compiling the latest Rekonq (1.2)

Postby zerozero » Sun Dec 30, 2012 10:14 pm

rekonq2 is out :D and i can't compile it :lol:
http://adjamblog.wordpress.com/2012/12/29/rekonq-2-0-first-stable/

Code: Select all

zerozero@deb-kde ~/rekonq/build $ cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` ..-- Found Qt-Version 4.8.2 (using /usr/bin/qmake)
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- Found KDE 4.8 include dir: /usr/include
-- Found KDE 4.8 library dir: /usr/lib
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
CMake Error at /usr/share/kde4/apps/cmake/modules/FindKDE4Internal.cmake:1390 (message):
  ERROR: the installed kdelibs version 4.8.4 is too old, at least version
  4.9.0 is required
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindKDE4.cmake:95 (FIND_PACKAGE)
  CMakeLists.txt:38 (FIND_PACKAGE)


-- Configuring incomplete, errors occurred!

have to wait for debian to get kde4.10 (apparently we are skipping 4.9.x)
Image

[ bliss of ignorance ]


Return to “Archive”

Who is online

Users browsing this forum: No registered users and 3 guests